#ifndef MAIN_H
    #define MAIN_H

    #define ADC_VOLTAGE 0               /* channel for battery voltage */
    #define ADC_TEMPERATURE 1           /* channel for ad595 voltage */

    /* To V : 7479 ohm , To GND : 7454 Ratio :  14933/7454 = 2.0032     */

    #define TEMPERATURE_RATIO 2.0032     /* ratio of resistors divider for ad595 */
    /* To V: 8097 To GND : 2159 Ratio : 10256/2159 = 4.7503  8097/2159*/
    #define VOLTAGE_RATIO 4.7503        /* ratio of resistors divider for voltage */
    #define VOLTAGE_THRESHOLD 7000      /* battery low threshold (in mV) */

    #define TEMPERATURE_DISPLAYTIME 200 /* ms to keep value on screen */
    #define TEMPERATURE_AVERAGE 1       /* enable averaging of last n temperatures */
    #define TEMPERATURE_BUFFERSIZE 10   /* do average of the last n temperatures, max 255 */

    /* the two values below are in multiples of the TEMPERATURE_DISPLAYTIME value */

    #define BACKLIGHT_TIMEOUT 60   /* turn off light after so many temperature displays, unless always on enabled */

    /* We don't use interrupts to detect button is pressed or not, button state is only
     * checked after every temperature display, which lasts TEMPERATURE_DISPLAYTIME ms.
     * So all values below are multiples of that value.
     *
     * When user stops pressing button, if the counter didn't reach that BUTTON_LONGPRESS threshold,
     * it's considered a short press. If threshold is reached, action for long press is performed and
     * then button is ignored until user lifts finger off the button.
     */
    #define BUTTON_LONGPRESS 20 /* if user holds button pressed for more than this, it's long press  */
    #define VOLTAGE_REFRESH 40 /* with 200ms update, check battery voltage every 30 seconds */

    #define BUTTON_LIGHT PORTAbits.RA2

    #define FVR_2V 2
    #define FVR_4V 3

    //extern float temperature_from_voltage(float value);
    extern float temperature_from_coefficients(float value);
    extern float temperature_average(float temperature_new);

#endif	/* MAIN_H */
